Package org.gradle.api.artifacts.dsl

# Interface ExternalModuleDependencyVariantSpec

public interface ExternalModuleDependencyVariantSpec
The specification of a dependency variant. Some dependencies can be fined tuned to select a particular variant. For example, one might want to select the test fixtures of a target component, or a specific classifier.

Since:
  6.8

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `artifactType(String artifactType)`
  Configures the artifact type of this dependency
  `void`
  `classifier(String classifier)`
  Configures the classifier of this dependency
  `void`
  `platform()`
  Configures the dependency to select the "platform" variant.
  `void`
  `testFixtures()`
  Configures the dependency to select the test fixtures capability.

- ## Method Details

  - ### platform

    void platform()
    Configures the dependency to select the "platform" variant.

  - ### testFixtures

    void testFixtures()
    Configures the dependency to select the test fixtures capability.

  - ### classifier

    void classifier(String classifier)
    Configures the classifier of this dependency

  - ### artifactType

    void artifactType(String artifactType)
    Configures the artifact type of this dependency